/*
 * @Author: YKH
 * @Date: 2021-12-10 15:49:31
 * @LastEditTime: 2022-05-31 18:11:47
 * @Description: 
 * @FilePath: \cool-admin\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\service\data_active.ts
 */
import { BaseService, Permission, Service } from "/@/core";

@Service("shuyou/data_active")
class ShuyouDataActive extends BaseService {
    @Permission("queryByDay")
    queryByDay(data: any) {
        return this.request({
            url: "/queryByDay",
            method: "POST",
            data
        })
    };
    @Permission("queryByMonth")
    queryByMonth(data: any) {
        return this.request({
            url: "/queryByMonth",
            method: "POST",
            data
        })
    };
    @Permission("queryOperationCount")
    queryOperationCount(data: any) {
        return this.request({
            url: "/queryOperationCount",
            method: "POST",
            data
        })
    };
    @Permission("queryIpCount")
    queryIpCount(data: any) {
        return this.request({
            url: "/queryIpCount",
            method: "POST",
            data
        })
    }
    @Permission("queryGameCountByDirectorGameAgent")
    queryGameCountByDirectorGameAgent(data: any) {
        return this.request({
            url: "/queryGameCountByDirectorGameAgent",
            method: "POST",
            data
        })
    }
    @Permission("queryTopFive")
    queryTopFive(data: any) {
        return this.request({
            url: "/queryTopFive",
            method: "POST",
            data
        })
    }
    @Permission("queryAbnormalStatisticsByDirectorReason")
    queryAbnormalStatisticsByDirectorReason(data: any) {
        return this.request({
            url: "/queryAbnormalStatisticsByDirectorReason",
            method: "POST",
            data
        })
    }

}

export default ShuyouDataActive;
